<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dynamic Select Options</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>


    <form method="POST" action="{{ url_for('test') }}">
        <div class="form-group" >

   <div class="container mt-5">
            <div class="row">
               
                <div class="col-md-3">
                    <select name="select_algo" id="head_sel" onchange="changeAlgo()" class="custom-select">
                       <option value="content">Content</option>
                       <option value="collaborative">Collaborative</option>
                    </select>
                </div>

            <div class="col-md-3">
                <select name="Collaborative" id="collab_id" class="custom-select">
                   <option value="genre-based">Genre_based</option>
                   <option value="movie-based">Movie-based</option>
                </select>
             </div>

                <div class="col-md-3">
                        <select name ="select_type" id="main_menu" class="custom-select">
                        <option value="">--Select Type--</option>    
                        <option value ="genre">Genre Based </option>
                        <option value ="movie">Movie Based </option>
                        </select>
                </div>


                <div class="col-md-3">
                        <select name="categories" id="sub_menu" class="custom-select">
                           
                        </select>
                </div>

               <div style=" margin: 16px;
               border-block-color: green;">

                    <input type="submit" value="Recommmend" class="btn btn-dark">


                </div>
             
                
            </div>

      </div>

    </form>
      
                    
</body>
<script>
  
  document.getElementById("collab_id").style.visibility="hidden";
  document.getElementById("main_menu").style.visibility="hidden";
  document.getElementById("sub_menu").style.visibility="hidden";
  
  function changeAlgo()
  {
      var sel_algo = document.getElementById("head_sel");
      if(sel_algo.value == "content")
      {
          document.getElementById("main_menu").style.visibility="visible";
          document.getElementById("sub_menu").style.visibility="visible";
          document.getElementById("collab_id").style.visibility="hidden";
      }

      if(sel_algo.value == "collaborative")
      {
        document.getElementById("collab_id").style.visibility="visible";
        document.getElementById("main_menu").style.visibility="hidden";
          document.getElementById("sub_menu").style.visibility="hidden";
      }

    
   
}


</script>


<script>
    

var obj = {{ data|tojson }}
console.log(obj)


    var select_type = 
{
    genre:['Action', 'Adventure', 'Animation', 'Biography', 'Comedy', 'Crime', 'Documentary', 'Drama', 'Family',
    'Fantasy', 'Film-Noir', 'Game-Show', 'History', 'Horror', 'Music', 'Musical', 'Mystery', 'News',
    'Reality-TV', 'Romance', 'Sci-Fi', 'Short', 'Sport', 'Thriller', 'War', 'Western'],

    movie:obj
}


//getting the main and sub menus
var main = document.getElementById('main_menu');
var sub = document.getElementById('sub_menu');




//Trigger the event when main menu change occurs

main.addEventListener('change',function(){

    //getting a selected option

    var selected_option = select_type[this.value];
    console.log(selected_option)
    //removing the sub menu options using while loop
    while(sub.options.length > 0 )
    {
       sub.options.remove(0);
        

    }

    //convert the selected oject into array and create options for each array elements
    //using option constructor it will create html element with the given value and innertext

    Array.from(selected_option).forEach(function(e1){
        let option = new Option(e1,e1);
        //append the child option in sub menu

        sub.appendChild(option);
    });


});
   


</script>


<!-- <script text="text/javascript" src={{url_for('static', filename='dynamic.js')}}></script> -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</html>